/*
 * Created on May 13, 2010
 *
 */

package com.tin.booking.encrypter.action;

/**
 * @author 239855
 *  
 *  This Class has two Methods  
 * 			1. compressFileWEB
 *          2. compressFileEJB
 * 
 *   compressFileWEB 
 * 					(String absoluteFileName,
 *                   String password,
 *                   OutputStream zipFileOutputStream
 * 					)
 * 	 This Method Will BE Called From WEB SERVER by passing the response OutputStream.
 * 
 * 	 compressFileEJB 
 * 					 (
 * 					  String absoluteFileName,
 * 					  String password,
 * 					  String absolutezipFileName 
 * 					  )
 *    
 *    This Method Will BE Called From APP SERVER by passing the Destination Password Protected Zip File Name.
 * 
 * 	  First two parameters of the both methos reamin the same.
 * 
 *    Changes has been Made In AesZipOutputStream Class To Incorporate to create the ZIP File when OutputStream Is Passed.
 * 
 */

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

import com.tin.booking.encrypter.AesZipOutputStream;

public class CompreesingFile {
			
			public void compressFileWEB (String absoluteFileName,String password,OutputStream zipFileOutputStream ) 
			throws IOException {
				
				AesZipOutputStream.zipAndEcrypt(absoluteFileName.trim(),password.trim(),zipFileOutputStream);		
				
				
			}
			
			
			public void compressFileEJB (String absoluteFileName,String password,String absolutezipFileName ) 
			throws IOException {
				
				OutputStream zipFileOutputStream = new FileOutputStream(absolutezipFileName+".zip");
				
				AesZipOutputStream.zipAndEcrypt(absoluteFileName.trim(),password.trim(),zipFileOutputStream);		
				
				
			}
			
}

