package com.tin.tds.lower.bean;

public class TDSFileHeaderBean {

	private String lineNo;
	private String recordType;
	private String fileType;
	private String uploadType;
	private String fileDate;
	private String fileSeq;
	private String uploaderType;
	private String tanTfcId;
	private String noOfBatches;
	private String rpuName;
	private String recordHash;
	private String fvuVersion;
	private String fileHash;
	private String samVersion;
	private String samHash;
	private String scmVersion;
	private String scmHash;
	private String consHash;
	
	public String toString()
	{
		String returnString = null;
		if(fvuVersion.equals("FVU 2.126"))
		{
			//skip rpuName
			returnString = lineNo+"^"+recordType+"^"+fileType+"^"+uploadType+"^"+fileDate+"^"+fileSeq+"^"+uploaderType+"^"+tanTfcId+"^"+noOfBatches+"^"+recordHash+"^"+fvuVersion+"^"+fileHash+"^"+samVersion+"^"+samHash+"^"+scmVersion+"^"+scmHash;
		}
		else
		{
			returnString = lineNo+"^"+recordType+"^"+fileType+"^"+uploadType+"^"+fileDate+"^"+fileSeq+"^"+uploaderType+"^"+tanTfcId+"^"+noOfBatches+"^"+rpuName+"^"+recordHash+"^"+fvuVersion+"^"+fileHash+"^"+samVersion+"^"+samHash+"^"+scmVersion+"^"+scmHash+"^"+consHash;
		}
		return returnString;
	}
	
	
	public String getLineNo() {
		return lineNo;
	}
	public void setLineNo(String lineNo) {
		this.lineNo = lineNo;
	}
	public String getRecordType() {
		return recordType;
	}
	public void setRecordType(String recordType) {
		this.recordType = recordType;
	}
	public String getFileType() {
		return fileType;
	}
	public void setFileType(String fileType) {
		this.fileType = fileType;
	}
	public String getUploadType() {
		return uploadType;
	}
	public void setUploadType(String uploadType) {
		this.uploadType = uploadType;
	}
	public String getFileDate() {
		return fileDate;
	}
	public void setFileDate(String fileDate) {
		this.fileDate = fileDate;
	}
	public String getFileSeq() {
		return fileSeq;
	}
	public void setFileSeq(String fileSeq) {
		this.fileSeq = fileSeq;
	}
	public String getUploaderType() {
		return uploaderType;
	}
	public void setUploaderType(String uploaderType) {
		this.uploaderType = uploaderType;
	}
	public String getTanTfcId() {
		return tanTfcId;
	}
	public void setTanTfcId(String tanTfcId) {
		this.tanTfcId = tanTfcId;
	}
	public String getNoOfBatches() {
		return noOfBatches;
	}
	public void setNoOfBatches(String noOfBatches) {
		this.noOfBatches = noOfBatches;
	}
	public String getRpuName() {
		return rpuName;
	}
	public void setRpuName(String rpuName) {
		this.rpuName = rpuName;
	}
	public String getRecordHash() {
		return recordHash;
	}
	public void setRecordHash(String recordHash) {
		this.recordHash = recordHash;
	}
	public String getFvuVersion() {
		return fvuVersion;
	}
	public void setFvuVersion(String fvuVersion) {
		this.fvuVersion = fvuVersion;
	}
	public String getFileHash() {
		return fileHash;
	}
	public void setFileHash(String fileHash) {
		this.fileHash = fileHash;
	}
	public String getSamVersion() {
		return samVersion;
	}
	public void setSamVersion(String samVersion) {
		this.samVersion = samVersion;
	}
	public String getSamHash() {
		return samHash;
	}
	public void setSamHash(String samHash) {
		this.samHash = samHash;
	}
	public String getScmVersion() {
		return scmVersion;
	}
	public void setScmVersion(String scmVersion) {
		this.scmVersion = scmVersion;
	}
	public String getScmHash() {
		return scmHash;
	}
	public void setScmHash(String scmHash) {
		this.scmHash = scmHash;
	}


	public String getConsHash() {
		return consHash;
	}


	public void setConsHash(String consHash) {
		this.consHash = consHash;
	}
	
	
}
